Package org.bukkit.event.block

# Enum Class Action

java.lang.Object
java.lang.Enum<Action>
org.bukkit.event.block.Action

All Implemented Interfaces:
  `Serializable`, `Comparable<Action>`, `Constable`

public enum Action extends Enum<Action>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LEFT_CLICK_AIR`
Left-clicking the air
`LEFT_CLICK_BLOCK`
Left-clicking a block
`PHYSICAL`
Stepping onto or into a block (Ass-pressure) Examples: Jumping on soil Standing on pressure plate Triggering redstone ore Triggering tripwire
`RIGHT_CLICK_AIR`
Right-clicking the air
`RIGHT_CLICK_BLOCK`
Right-clicking a block

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLeftClick()`
Gets whether this action is a result of a left click.
`boolean`
`isRightClick()`
Gets whether this action is a result of a right click.
`static Action`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Action[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEFT_CLICK_BLOCK

public static final Action LEFT_CLICK_BLOCK
Left-clicking a block

### RIGHT_CLICK_BLOCK

public static final Action RIGHT_CLICK_BLOCK
Right-clicking a block

### LEFT_CLICK_AIR

public static final Action LEFT_CLICK_AIR
Left-clicking the air

### RIGHT_CLICK_AIR

public static final Action RIGHT_CLICK_AIR
Right-clicking the air

### PHYSICAL

public static final Action PHYSICAL
Stepping onto or into a block (Ass-pressure) Examples:

- Jumping on soil
- Standing on pressure plate
- Triggering redstone ore
- Triggering tripwire

## Method Details

### values

public static Action[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Action valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isLeftClick

public boolean isLeftClick()
Gets whether this action is a result of a left click.

Returns:
  Whether it's a left click

### isRightClick

public boolean isRightClick()
Gets whether this action is a result of a right click.

Returns:
  Whether it's a right click